Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class AmountAndCurrencyExchange3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.AmountAndCurrencyExchange3

    public class AmountAndCurrencyExchange3
    extends java.lang.Object

Java class for AmountAndCurrencyExchange3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmountAndCurrencyExchange3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InstdAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AmountAndCurrencyExchangeDetails3" minOccurs="0"/>
             <element name="TxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AmountAndCurrencyExchangeDetails3" minOccurs="0"/>
             <element name="CntrValAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AmountAndCurrencyExchangeDetails3" minOccurs="0"/>
             <element name="AnncdPstngAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AmountAndCurrencyExchangeDetails3" minOccurs="0"/>
             <element name="PrtryAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AmountAndCurrencyExchangeDetails4" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected AmountAndCurrencyExchangeDetails3` `anncdPstngAmt`
`protected AmountAndCurrencyExchangeDetails3` `cntrValAmt`
`protected AmountAndCurrencyExchangeDetails3` `instdAmt`
`protected java.util.List<AmountAndCurrencyExchangeDetails4>` `prtryAmt`
`protected AmountAndCurrencyExchangeDetails3` `txAmt`

### Constructor Summary

Constructors
`AmountAndCurrencyExchange3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AmountAndCurrencyExchangeDetails3` `getAnncdPstngAmt()` Gets the value of the anncdPstngAmt property.
`AmountAndCurrencyExchangeDetails3` `getCntrValAmt()` Gets the value of the cntrValAmt property.
`AmountAndCurrencyExchangeDetails3` `getInstdAmt()` Gets the value of the instdAmt property.
`java.util.List<AmountAndCurrencyExchangeDetails4>` `getPrtryAmt()` Gets the value of the prtryAmt property.
`AmountAndCurrencyExchangeDetails3` `getTxAmt()` Gets the value of the txAmt property.
`void` `setAnncdPstngAmt​(AmountAndCurrencyExchangeDetails3 value)` Sets the value of the anncdPstngAmt property.
`void` `setCntrValAmt​(AmountAndCurrencyExchangeDetails3 value)` Sets the value of the cntrValAmt property.
`void` `setInstdAmt​(AmountAndCurrencyExchangeDetails3 value)` Sets the value of the instdAmt property.
`void` `setTxAmt​(AmountAndCurrencyExchangeDetails3 value)` Sets the value of the txAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instdAmt

    protected AmountAndCurrencyExchangeDetails3 instdAmt

#### txAmt

    protected AmountAndCurrencyExchangeDetails3 txAmt

#### cntrValAmt

    protected AmountAndCurrencyExchangeDetails3 cntrValAmt

#### anncdPstngAmt

    protected AmountAndCurrencyExchangeDetails3 anncdPstngAmt

#### prtryAmt

    protected java.util.List<AmountAndCurrencyExchangeDetails4> prtryAmt

### Constructor Detail

#### AmountAndCurrencyExchange3

    public AmountAndCurrencyExchange3()

### Method Detail

#### getInstdAmt

    public AmountAndCurrencyExchangeDetails3 getInstdAmt()

Gets the value of the instdAmt property.

Returns:
  possible object is `AmountAndCurrencyExchangeDetails3`

#### setInstdAmt

    public void setInstdAmt​(AmountAndCurrencyExchangeDetails3 value)

Sets the value of the instdAmt property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchangeDetails3`

#### getTxAmt

    public AmountAndCurrencyExchangeDetails3 getTxAmt()

Gets the value of the txAmt property.

Returns:
  possible object is `AmountAndCurrencyExchangeDetails3`

#### setTxAmt

    public void setTxAmt​(AmountAndCurrencyExchangeDetails3 value)

Sets the value of the txAmt property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchangeDetails3`

#### getCntrValAmt

    public AmountAndCurrencyExchangeDetails3 getCntrValAmt()

Gets the value of the cntrValAmt property.

Returns:
  possible object is `AmountAndCurrencyExchangeDetails3`

#### setCntrValAmt

    public void setCntrValAmt​(AmountAndCurrencyExchangeDetails3 value)

Sets the value of the cntrValAmt property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchangeDetails3`

#### getAnncdPstngAmt

    public AmountAndCurrencyExchangeDetails3 getAnncdPstngAmt()

Gets the value of the anncdPstngAmt property.

Returns:
  possible object is `AmountAndCurrencyExchangeDetails3`

#### setAnncdPstngAmt

    public void setAnncdPstngAmt​(AmountAndCurrencyExchangeDetails3 value)

Sets the value of the anncdPstngAmt property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchangeDetails3`

#### getPrtryAmt

    public java.util.List<AmountAndCurrencyExchangeDetails4> getPrtryAmt()

Gets the value of the prtryAmt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtryAmt property.

For example, to add a new item, do as follows:

        getPrtryAmt().add(newItem);

Objects of the following type(s) are allowed in the list `AmountAndCurrencyExchangeDetails4`